using System.Threading;
using Cysharp.Threading.Tasks;
using RebootKit.Engine.Foundation;

namespace RebootKit.Engine.Services {
    public class UpdateLoopService : IService {
        public async UniTask OnInit(CancellationToken cancellationToken) {
            await UniTask.Yield(cancellationToken);
        }
        
        public void Dispose() {
        }

        public void Add(PlayerLoopTiming playerLoopTiming) {
        }
    }
}